Page MenuHomePhabricator

1.32.0-wmf.5 deployment blockers
Closed, ResolvedPublicRelease

Details

2018 week 21 1.32-wmf.5 Changes wmf/1.32.0-wmf.5

This MediaWiki Train Deployment is scheduled for the week of Monday, May 21st:

Monday May 21stTuesday, May 22ndWednesday, May 23rdThursday, May 24thFriday
SWAT deployments only.Branch wmf.5 and deploy to Group 0 Wikis.Deploy wmf.5 to Group 1 Wikis.Deploy wmf.5 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.5 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.4
Next: 1.32.0-wmf.6

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Normal priority.Mar 29 2018, 6:16 PM
mmodell claimed this task.May 7 2018, 4:17 PM

Change 434596 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/434596

Change 434596 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/434596

Mentioned in SAL (#wikimedia-operations) [2018-05-22T20:33:17Z] <twentyafterfour@tin> Started scap: testwikis wikis to 1.32.0-wmf.5 refs T191051

Mentioned in SAL (#wikimedia-operations) [2018-05-22T21:38:54Z] <twentyafterfour@tin> Started scap: testwikis wikis to 1.32.0-wmf.5 refs T191051

Mentioned in SAL (#wikimedia-operations) [2018-05-22T22:54:55Z] <twentyafterfour@tin> Finished scap: testwikis wikis to 1.32.0-wmf.5 refs T191051 (duration: 76m 01s)

Change 434611 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/434611

Change 434611 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/434611

Mentioned in SAL (#wikimedia-operations) [2018-05-22T22:58:53Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group0 wikis to 1.32.0-wmf.5 refs T191051

Change 434756 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/434756

Change 434756 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/434756

Mentioned in SAL (#wikimedia-operations) [2018-05-23T19:21:58Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.5 refs T191051

Mentioned in SAL (#wikimedia-operations) [2018-05-23T19:23:06Z] <twentyafterfour@tin> Synchronized php: group1 wikis to 1.32.0-wmf.5 refs T191051 (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2018-05-28T19:07:44Z] <twentyafterfour> attempting to get the wmf.5 train back on track. Deploying a fix for T195514 (https://gerrit.wikimedia.org/r/c/435292/) to unblock T191051

Mentioned in SAL (#wikimedia-operations) [2018-05-28T20:14:30Z] <twentyafterfour> Test failures on https://gerrit.wikimedia.org/r/#/c/435825/ are preventing deployment of the fix for a critical deployment blocker (see T195514) 1.32.0-wmf.5 still blocked refs T191051

Change 436179 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/mediawiki-config@master] All wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/436179

Change 436179 merged by jenkins-bot:
[operations/mediawiki-config@master] All wikis to 1.32.0-wmf.5 refs T191051

https://gerrit.wikimedia.org/r/436179

greg closed this task as Resolved.May 30 2018, 9:41 PM

Re-adding T195546. This was wrongly removed.

The wmf.5 branch introduced a breaking change to the Unicode normalisation of page titles in the database. As a result, the database encoding of many titles must now be different as otherwise when viewing a URL, the software cannot find the page in the database.

The blocking action for wmf.5 deployment was that either 1) a maintenance script is run to update the normalisation in the database, or 2) the Unicode change reverted.

Neither has happened which presumably means a large number of pages has become inaccessible and will appear to have been magically deleted, resulting in their URL now serving a 404 Not Found or "badtitle" error message.